New Ribbon
短影音制霸:打造TikTok、YT Shorts、IG Reels成功方程式與AI高效創作力 Canva+AI創意設計與品牌應用250招:從商業技巧、社群祕技到AI圖文影音特效 快快樂樂學威力導演2024.影音剪輯與AI精彩創作 文淵閣工作室祝福大家新年快樂.龍年吉祥 Power Automate自動化超效率工作術 Midjourney AI圖像魔導書:搭配ChatGPT魔法加倍 超人氣FB+IG+LINE社群經營與行銷力(第二版) 翻倍效率工作術:不會就太可惜的 Excel × ChatGPT 自動化應用 AppInventor2零基礎入門班中文版(第六版) Python零基礎入門班(第四版) C語言學習聖經 用Canva設計超快超質感:平面、網頁、電子書、簡報、影片製作與AI繪圖最速技 PHP8/MySQL網頁程式設計自學聖經 翻倍效率工作術 - 不會就太可惜的Power BI大數據視覺圖表設計與分析(第三版) 社群經營一定要會的影音剪輯與動畫製作術 Notion高效管理250招:筆記×資料庫×團隊協作,數位生活與工作最佳幫手 Office 2021高效實用範例必修16課(附500分鐘影音教學/範例檔) Excel自學聖經(第二版):從完整入門到職場活用的技巧與實例大全

 

  Python與LINE Bot機器人全面實戰特訓班

蘇友晟

蘇友晟
更新時間:2022/7/31 上午 04:38:18

 

老師您好,目前做到第六章按鈕樣板,這您的程式碼練習出現以下錯誤訊息:

Internal Server Error: /callback
Traceback (most recent call last):
  File "D:\LineBotProject\TemplateLineBot\module\func.py", line 35, in sendButtonTemplate
    line_bot_api.reply_message(event.reply_token,message)
  File "D:\Users\ac263\Anaconda3\lib\site-packages\linebot\api.py", line 94, in reply_message
    self._post(
  File "D:\Users\ac263\Anaconda3\lib\site-packages\linebot\api.py", line 561, in _post
    self.__check_error(response)
  File "D:\Users\ac263\Anaconda3\lib\site-packages\linebot\api.py", line 584, in __check_error
    raise LineBotApiError(response.status_code, error)
linebot.exceptions.LineBotApiError: LineBotApiError: status_code=400, error_response={"details": [{"message":
"must be specified", "property": "template/actions/1/uri"}], "message": "A message (messages[0])\u00a0in the request body is invalid"}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "D:\Users\ac263\Anaconda3\lib\site-packages\django\core\handlers\exception.py", line 55, in inner      
    response = get_response(request)
  File "D:\Users\ac263\Anaconda3\lib\site-packages\django\core\handlers\base.py", line 197, in _get_response  
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "D:\Users\ac263\Anaconda3\lib\site-packages\django\views\decorators\csrf.py", line 54, in wrapped_view
    return view_func(*args, **kwargs)
  File "D:\LineBotProject\TemplateLineBot\TemplateApp\views.py", line 37, in callback
    func.sendButtonTemplate(event)
  File "D:\LineBotProject\TemplateLineBot\module\func.py", line 37, in sendButtonTemplate
    line_bot_api.reply_message(event.reply_token,TextSendMessage(text='發生錯誤!'))
  File "D:\Users\ac263\Anaconda3\lib\site-packages\linebot\api.py", line 94, in reply_message
    self._post(
  File "D:\Users\ac263\Anaconda3\lib\site-packages\linebot\api.py", line 561, in _post
    self.__check_error(response)
  File "D:\Users\ac263\Anaconda3\lib\site-packages\linebot\api.py", line 584, in __check_error
    raise LineBotApiError(response.status_code, error)
linebot.exceptions.LineBotApiError: LineBotApiError: status_code=400, error_response={"details": [], "message": "Invalid reply token"}
[31/Jul/2022 04:32:14] "POST /callback HTTP/1.1" 500 107701

至於我是買電子書如果想要那些範例的程式碼要去哪裡下再參考?

※補充:
LINE_CHANNEL_ACCESS_TOKEN和
LINE_CHANNEL_SECRET 皆有更換試過並可以與Webhook URL verify 顯示SCCUESS

蘇友晟

蘇友晟
更新時間:2022/7/31 上午 05:13:38

 

我找到問題了,我將這段程式碼隱藏就可以跑了,但是我想不到為何是這段的問題。
                   URITemplateAction(
     label='連結網頁', #開啟網頁
     url'https://www.google.com/'
),

文淵閣工作室

文淵閣工作室
更新時間:2022/7/31 下午 08:58:56

 

剛才再次執行本專案,執行結果皆正常。
原程式為:「uri='http://www.e-happy.com.tw'」,您寫的是「url'https://www.google.com/'」,少了一個等號。

黃彥銘

黃彥銘
更新時間:2023/2/25 上午 07:17:53

 

老師您好,目前在練習第三章的使用sql指令作資料庫
「from flask import Flask
from flask_sqlalchemy import SQLAlchemy

app = Flask(__name__)
app.config['SQLALCHEMY_DATABASE_URI'] = 'postgresql://admin:123456@127.0.0.1:5432/testdb'
db = SQLAlchemy(app)

@app.route('/')
def index():
    return "資料庫連線成功!"

@app.route('/setup')
def setup():
    sql = """
    CREATE TABLE students2 (
    sid serial NOT NULL,
    name character varying(50) NOT NULL,
    tel character varying(50),
    addr character varying(200),
    email character varying(100),
    PRIMARY KEY (sid))
    """
    db.engine.execute(sql)
    return "資料表建立成功!"」

執行的時候出現
「 File "c:\Users\litpe\Downloads\Python與LINE Bot機器人全面實戰特訓班--Flask最強應用學習資源\Python與LINE Bot機器人全面
實戰特訓班--Flask最強應用學習資源\本書範例\ch03\sql.py", line 24, in setup
    db.engine.execute(sql)
AttributeError: 'Engine' object has no attribute 'execute'」

不知道怎處理,非常感謝

文淵閣工作室

文淵閣工作室
更新時間:2023/3/1 下午 08:37:07

 

您好!
我們執行書上此範例,一切正常。
以您的錯誤訊息GOOGLE,下面網頁顯示是Sqlalchemy版本大於2.0所致,我使用的是1.4.39版,請您檢查Sqlalchemy版本。
https://github.com/dagster-io/dagster/discussions/11881




 

 

Re:Python與LINE Bot機器人全面實戰特訓班

請輸入姓名。

已超出字元數目的最大值。


請輸入電子郵件。

格式無效。


請輸入內容。